Create an EMS role-based configuration for an access control role
Creates an EMS role-based configuration for an access control role to define permissions and manage event monitoring settings. Use this to control access and filter events for specific roles within your network environment.
HTTP method and endpoint
POST /support/ems/role-configs
Introduced in
ONTAP 9.13
Required properties
-
access_control_role- Uniquely identifies the access control role.
Recommended optional properties
-
event_filter- Identifies the event filter. -
limit_access_to_global_configs- Indicates whether the access control role has limited access to global EMS configurations.
Related ONTAP commands
-
event role-config create
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
return_records |
boolean |
query |
False |
The default is false. If set to true, the records are returned.
|
Request Body
| Name | Type | Description |
|---|---|---|
access_control_role |
Access control role that the event filter is assigned to. |
|
event_filter |
Event filter that is assigned to the access control role. |
|
limit_access_to_global_configs |
boolean |
Indicates whether the access control has limited access to global EMS configurations. |
Example request
{
"access_control_role": {
"name": "admin"
},
"event_filter": {
"name": "important-events"
}
}
Response
Status: 201, Created
| Name | Type | Description |
|---|---|---|
num_records |
integer |
Number of records |
records |
array[records] |
Example response
{
"num_records": 1,
"records": [
{
"access_control_role": {
"name": "admin"
},
"event_filter": {
"name": "important-events"
}
}
]
}
Headers
| Name | Description | Type |
|---|---|---|
Location |
Useful for tracking the resource location |
string |
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
983198 |
The event filter provided does not exist. |
983199 |
The access control role provided does not exist. |
Also see the table of common errors in the Response body overview section of this documentation.
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
access_control_role
Access control role that the event filter is assigned to.
| Name | Type | Description |
|---|---|---|
name |
string |
Role name |
event_filter
Event filter that is assigned to the access control role.
| Name | Type | Description |
|---|---|---|
name |
string |
ems_role_config
| Name | Type | Description |
|---|---|---|
access_control_role |
Access control role that the event filter is assigned to. |
|
event_filter |
Event filter that is assigned to the access control role. |
|
limit_access_to_global_configs |
boolean |
Indicates whether the access control has limited access to global EMS configurations. |
records
| Name | Type | Description |
|---|---|---|
access_control_role |
Access control role that the event filter is assigned to. |
|
event_filter |
Event filter that is assigned to the access control role. |
|
limit_access_to_global_configs |
boolean |
Indicates whether the access control has limited access to global EMS configurations. |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |